import { Config } from '@pnpm/config';
export declare const shorthands: {
    parallel: string[];
};
export declare const commandNames: string[];
export declare function rcOptionsTypes(): Pick<any, never>;
export declare const cliOptionsTypes: () => {
    recursive: BooleanConstructor;
    reverse: BooleanConstructor;
};
export declare function help(): string;
export declare function handler(opts: Required<Pick<Config, 'selectedProjectsGraph'>> & {
    bail?: boolean;
    unsafePerm?: boolean;
    rawConfig: object;
    reverse?: boolean;
    sort?: boolean;
    workspaceConcurrency?: number;
} & Pick<Config, 'extraBinPaths' | 'lockfileDir' | 'dir' | 'recursive' | 'workspaceDir'>, params: string[]): Promise<{
    exitCode: number;
}>;
